curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/reshare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientKeygenIds": [
"<string>"
],
"oldThresholdSignatureScheme": "TWO_OF_TWO",
"newThresholdSignatureScheme": "TWO_OF_TWO",
"delegateToProjectEnvironment": true,
"revokeDelegation": true
}
'{
"roomId": "<string>",
"serverKeygenIds": [
"<string>"
],
"newServerKeygenIds": [
"<string>"
],
"walletId": "95b11417-f18f-457f-8804-68e361f9164f"
}curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/reshare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientKeygenIds": [
"<string>"
],
"oldThresholdSignatureScheme": "TWO_OF_TWO",
"newThresholdSignatureScheme": "TWO_OF_TWO",
"delegateToProjectEnvironment": true,
"revokeDelegation": true
}
'{
"roomId": "<string>",
"serverKeygenIds": [
"<string>"
],
"newServerKeygenIds": [
"<string>"
],
"walletId": "95b11417-f18f-457f-8804-68e361f9164f"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the wallet
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Reshare Request
A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$TWO_OF_TWO, TWO_OF_THREE, THREE_OF_FIVE TWO_OF_TWO, TWO_OF_THREE, THREE_OF_FIVE Successfully created a room for reshare ceremony
A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$A base58 string with a max length of 100 characters
100^[1-9A-HJ-NP-Za-km-z]+$36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Was this page helpful?